import { PropertyConfig } from '../../../../../types/src/content-builder';
import { Component, ComponentDefinition, StyleProps } from 'grapesjs';

export declare function parseComponent(component: Component, getChildren?: boolean, getAllChildren?: boolean): ComponentDefinition;
export declare function parseAttributes(component: Component | null, options?: {
    omit?: string[];
}): Record<string, string>;
export declare function parseProperties(component: Component | null, options?: {
    omit?: string[];
}): Record<string, any>;
export declare function parseStyles(component: Component | null): StyleProps;
export declare function parseTraits(component: Component | null): PropertyConfig[];
